/*
 * Realtek RT8181 write config to flash
 *
 * Copyright (C) 2004 Tom Vrana <tom@voda.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */
 
#include <stdlib.h>                                                                                                        
#include <sys/types.h>                                                                                                     
#include <sys/stat.h>                                                                                                      
#include <fcntl.h>                                                                                                         
#include <unistd.h>                                                                                                        
#include <string.h>                                                                                                        
#include <stdio.h>

int main(int argc, char** argv)                                                                                            
{
	int finp;
	char *buffer;

	finp = open ("/dev/mtd", O_RDONLY);
	if (finp == -1) {
		fprintf (stderr,"opening input file failed !\n");
		exit(1);
	}
	
	buffer = malloc	(0x10000);
	if (! buffer)
	    exit(1);
	read (finp,buffer,0x10000);
	write (1,buffer,0x10000);	
	close(finp);
	free (buffer);
	exit(0);
}
